package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目验收对象 sur_project_checking
 * 
 * @author JiangYuQi
 * @date 2023-08-18
 */
public class SurProjectChecking extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 分包单位主键 */
    @Excel(name = "分包单位主键")
    private Long groupDeptId;

    /** 验收类型 */
    @Excel(name = "验收类型")
    private String checkType;

    /** 验收主图 */
    @Excel(name = "验收主图")
    private String mainImage;

    /** 图片列表 */
    @Excel(name = "图片列表")
    private String imageUrls;

    /** 验收工序部位类型 */
    @Excel(name = "验收工序部位类型")
    private String workingPositionType;

    /** 验收工序部位 */
    @Excel(name = "验收工序部位")
    private String checkWorkingPosition;

    /** 验收次数 */
    @Excel(name = "验收次数")
    private Long checkingNum;

    /** 验收结果 */
    @Excel(name = "验收结果")
    private String checkResult;

    /** 验收描述 */
    @Excel(name = "验收描述")
    private String intro;

    /** 质量用户 */
    @Excel(name = "质量用户")
    private String qualityUser;

    /** 质量用户名称 */
    @Excel(name = "质量用户名称")
    private String qualityUserName;

    /** 监理用户 */
    @Excel(name = "监理用户")
    private String superviseUser;

    /** 监理用户名称 */
    @Excel(name = "监理用户名称")
    private String superviseUserName;

    /** 分包单位用户 */
    @Excel(name = "分包单位用户")
    private String groupDeptUser;

    /** 分包单位用户名称 */
    @Excel(name = "分包单位用户名称")
    private String groupDeptUserName;

    /** 验收时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "验收时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date checkingDate;

    /** 验收附件 */
    @Excel(name = "验收附件")
    private String checkingFiles;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private Long isDel;

    private String projectName;
    private String deptName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setGroupDeptId(Long groupDeptId) 
    {
        this.groupDeptId = groupDeptId;
    }

    public Long getGroupDeptId() 
    {
        return groupDeptId;
    }
    public void setCheckType(String checkType) 
    {
        this.checkType = checkType;
    }

    public String getCheckType() 
    {
        return checkType;
    }
    public void setMainImage(String mainImage) 
    {
        this.mainImage = mainImage;
    }

    public String getMainImage() 
    {
        return mainImage;
    }
    public void setImageUrls(String imageUrls) 
    {
        this.imageUrls = imageUrls;
    }

    public String getImageUrls() 
    {
        return imageUrls;
    }
    public void setWorkingPositionType(String workingPositionType) 
    {
        this.workingPositionType = workingPositionType;
    }

    public String getWorkingPositionType() 
    {
        return workingPositionType;
    }
    public void setCheckWorkingPosition(String checkWorkingPosition) 
    {
        this.checkWorkingPosition = checkWorkingPosition;
    }

    public String getCheckWorkingPosition() 
    {
        return checkWorkingPosition;
    }
    public void setCheckingNum(Long checkingNum) 
    {
        this.checkingNum = checkingNum;
    }

    public Long getCheckingNum() 
    {
        return checkingNum;
    }
    public void setCheckResult(String checkResult) 
    {
        this.checkResult = checkResult;
    }

    public String getCheckResult() 
    {
        return checkResult;
    }
    public void setIntro(String intro) 
    {
        this.intro = intro;
    }

    public String getIntro() 
    {
        return intro;
    }
    public void setQualityUser(String qualityUser) 
    {
        this.qualityUser = qualityUser;
    }

    public String getQualityUser() 
    {
        return qualityUser;
    }
    public void setQualityUserName(String qualityUserName) 
    {
        this.qualityUserName = qualityUserName;
    }

    public String getQualityUserName() 
    {
        return qualityUserName;
    }
    public void setSuperviseUser(String superviseUser) 
    {
        this.superviseUser = superviseUser;
    }

    public String getSuperviseUser() 
    {
        return superviseUser;
    }
    public void setSuperviseUserName(String superviseUserName) 
    {
        this.superviseUserName = superviseUserName;
    }

    public String getSuperviseUserName() 
    {
        return superviseUserName;
    }
    public void setGroupDeptUser(String groupDeptUser) 
    {
        this.groupDeptUser = groupDeptUser;
    }

    public String getGroupDeptUser() 
    {
        return groupDeptUser;
    }
    public void setGroupDeptUserName(String groupDeptUserName) 
    {
        this.groupDeptUserName = groupDeptUserName;
    }

    public String getGroupDeptUserName() 
    {
        return groupDeptUserName;
    }
    public void setCheckingDate(Date checkingDate) 
    {
        this.checkingDate = checkingDate;
    }

    public Date getCheckingDate() 
    {
        return checkingDate;
    }
    public void setCheckingFiles(String checkingFiles) 
    {
        this.checkingFiles = checkingFiles;
    }

    public String getCheckingFiles() 
    {
        return checkingFiles;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("groupDeptId", getGroupDeptId())
            .append("checkType", getCheckType())
            .append("mainImage", getMainImage())
            .append("imageUrls", getImageUrls())
            .append("workingPositionType", getWorkingPositionType())
            .append("checkWorkingPosition", getCheckWorkingPosition())
            .append("checkingNum", getCheckingNum())
            .append("checkResult", getCheckResult())
            .append("intro", getIntro())
            .append("qualityUser", getQualityUser())
            .append("qualityUserName", getQualityUserName())
            .append("superviseUser", getSuperviseUser())
            .append("superviseUserName", getSuperviseUserName())
            .append("groupDeptUser", getGroupDeptUser())
            .append("groupDeptUserName", getGroupDeptUserName())
            .append("checkingDate", getCheckingDate())
            .append("checkingFiles", getCheckingFiles())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
